const projectChange =  window.onProjectChange;
window.onProjectChange = function()
{
    if(repo.SCM != 'GitFox') return projectChange();

    var sourceProject = projectNamespace ? urlencode(projectNamespace) : projectID;
    var branchUrl     = $.createLink(hostType, 'ajaxGetProjectBranches', "id=" + repo.id + "&projectID=" + sourceProject);
    $.ajaxSubmit(
        {
            url: branchUrl,
            method: 'get',
            onComplete: function(result)
            {
                zui.Picker.query("[name='sourceBranch']").render({items: result});

                const picker = zui.Picker.query("[name='targetBranch']");
                picker.render({items: result});
                picker.$.setValue('');
            },
        });
}
